package com.huijy.management.domain;

import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 会员评价对象 t_member_evaluate
 *
 * @author luobo
 * @date 2021-09-12
 */
public class MemberEvaluate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会员评价id */
    private Long memberEvaluateId;

    /** 会员id */
    private Long memberId;

    /** 评价对象id */
    private Long objectId;

    /** 评价对象 */
    @Excel(name = "评价对象")
    private String objectType;

    /** 评价星级1-5 */
    @Excel(name = "评价星级1-5")
    private Integer evaluateStar;

    /** 评价内容 */
    @Excel(name = "评价内容")
    private String content;

    /** 是否显示 */
    @Excel(name = "是否显示")
    private String isShow;

    public void setMemberEvaluateId(Long memberEvaluateId)
    {
        this.memberEvaluateId = memberEvaluateId;
    }

    public Long getMemberEvaluateId()
    {
        return memberEvaluateId;
    }
    public void setMemberId(Long memberId)
    {
        this.memberId = memberId;
    }

    public Long getMemberId()
    {
        return memberId;
    }
    public void setObjectId(Long objectId)
    {
        this.objectId = objectId;
    }

    public Long getObjectId()
    {
        return objectId;
    }
    public void setObjectType(String objectType)
    {
        this.objectType = objectType;
    }

    public String getObjectType()
    {
        return objectType;
    }
    public void setEvaluateStar(Integer evaluateStar)
    {
        this.evaluateStar = evaluateStar;
    }

    public Integer getEvaluateStar()
    {
        return evaluateStar;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setIsShow(String isShow)
    {
        this.isShow = isShow;
    }

    public String getIsShow()
    {
        return isShow;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("memberEvaluateId", getMemberEvaluateId())
            .append("memberId", getMemberId())
            .append("objectId", getObjectId())
            .append("objectType", getObjectType())
            .append("evaluateStar", getEvaluateStar())
            .append("content", getContent())
            .append("createTime", getCreateTime())
            .append("isShow", getIsShow())
            .toString();
    }
}
